ZRAMCTL(8)

BEZEICHNUNG
zramctl - Einrichten und Steuern von zram-Geräten

ÜBERSICHT

Informationen erhalten:
    zramctl [Optionen]

zram zurücksetzen:
    zramctl -r zram-Gerät …

Den Namen des ersten ungenutzten zram-Gerätes ausgeben:
    zramctl -f

Ein zram-Gerät einrichten:
    zramctl [-f | zram-Gerät] [-s Größe] [-t Anzahl] [-a Algorithmus]

BESCHREIBUNG

zramctl wird zum schnellen Einrichten der Parameter eines zram-Gerätes, zum Zurücksetzen und für die Statusabfrage von benutzten zram-Geräten verwendet.

Wenn keine Option angegeben ist, werden alle zram-Geräte mit von Null verschiedener Größe angezeigt.

Beachten Sie, dass der auf der Befehlszeile übergebene zramdev-Knoten bereits existieren muss. Der Befehl zramctl erstellt nur einen neuen Knoten /dev/zram<N>, falls die Option --find angegeben ist. Es ist möglich (und typisch), dass nach dem Systemstart die Knoten /dev/zram<N> noch nicht existieren.

OPTIONEN

-a, --algorithm lzo|lz4|lz4hc|deflate|842|zstd
    legt den für die Kompression der Daten im zram-Gerät zu verwendenden Kompressionsalgorithmus fest.

-f, --find
    sucht nach dem ersten ungenutzten zram-Gerät. Wenn das Argument --size angegeben ist, wird das Gerät initialisiert.

-n, --noheadings
    unterdrückt die Ausgabe einer Kopfzeile in der Statusausgabe.

-o, --output Liste
    gibt die auszugebenden Spalten an. Wenn keine Anordnung angegeben ist, wird ein Standardsatz an Spalten verwendet. Mit --help erhalten Sie eine Liste aller unterstützten Spalten.

--output-all
    gibt alle verfügbaren Spalten aus.

--raw
    verwendet das Rohformat für die Ausgabe.

-r, --reset
    setzt die Optionen des oder der angegebenen zram-Gerät(e) zurück. Die Geräteeinstellungen können nur nach dem Zurücksetzen geändert werden.

-s, --size Größe
    erstellt ein zram-Gerät der angegebenen Größe. Zram-Geräte werden an den Speicherseiten ausgerichtet. Wenn die angeforderte Größe kein Vielfaches der Seitengröße ist, wird diese zum nächsten Vielfachen aufgerundet. Sofern nichts anderes angegeben ist, wird die Größe in Bytes angenommen.

    Auf das Argument Größe können die multiplikativen (2^N) Suffixe KiB (=1024), MiB (=1024*1024) und so weiter für GiB, TiB, PiB, EiB, ZiB und YiB folgen (das »iB« ist optional, so dass zum Beispiel »K« gleichbedeutend mit »KiB« ist) oder die dezimalen Suffixe KB (=1000), MB (=1000*1000) und so weiter für GB, PB, EB, ZB und YB.

-t, --streams Anzahl
    gibt die maximale Anzahl der Kompressions-Datenströme an, die für das Gerät verwendet werden können. Vorgabe ist die Verwendung aller CPUs und ein Datenstrom für Kernel älter als 4.6.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt die Versionsnummer an und beendet das Programm.

EXIT-STATUS

zramctl gibt 0 bei Erfolg zurück und einen von 0 verschiedenen Wert bei Fehlschlag.

DATEIEN

/dev/zram[0..N]
    zram-Blockgeräte

BEISPIEL

Die folgenden Befehle richten ein zram-Gerät mit der Größe von einem Gigabyte ein und verwenden es als Auslagerungsspeicher (Swap).

     # zramctl --find --size 1024M
     /dev/zram0
     # mkswap /dev/zram0
     # swapon /dev/zram0
     …
     # swapoff /dev/zram0
     # zramctl --reset /dev/zram0

AUTOREN

SIEHE AUCH

FEHLER MELDEN

Verwenden Sie zum Melden von Fehlern das Fehlererfassungssystem auf

VERFÜGBARKEIT

Der Befehl zramctl ist Teil des Pakets util-linux, welches heruntergeladen werden kann von:

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).